/*
 Tiamat - a role-playing game framework
 RootNavigationEventHandler.java - handles events at the root level
 
 Copyright  (C) 2006 Hugues Johnson
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package com.huguesjohnson.tiamat.tools.adventureStudio.event;

import javax.swing.filechooser.FileFilter;

import com.huguesjohnson.tiamat.tools.BaseEditorFrame;
import com.huguesjohnson.tiamat.tools.adventureStudio.NavigationTreeNode;

/** RootNavigationEventHandler - handles events at the root level
 * @author Hugues Johnson
 */
public class RootNavigationEventHandler extends NavigationEventHandler{

	public boolean canEdit(){ return(false); }
	public BaseEditorFrame onEdit(){ return(null); }

	public boolean canAdd(){ return(false); }
	public NavigationTreeNode onAdd(){ return(null);	}

	public boolean canRemove(){ return(false); }
	public void onRemove(){ }

	public boolean canRename(){ return(false); }
	public void onRename(){ }
	
	public FileFilter getFilter(){ return(null); }	
}